
function loadjscssfile(filename, filetype) {
    
    if (filetype=="js") { 

        var fileref=document.createElement('script');
        fileref.setAttribute("type","text/javascript");
        fileref.setAttribute("src", filename);
    }
    else if (filetype=="css") { 

        var fileref=document.createElement("link");
        fileref.setAttribute("rel", "stylesheet");
        fileref.setAttribute("type", "text/css");
        fileref.setAttribute("href", filename);
    }

    if (typeof fileref!="undefined") {
        document.getElementsByTagName("head")[0].appendChild(fileref);
    }
}



function addLoadEvent(func) {
    var oldonload = window.onload;
    if (typeof window.onload != 'function') {
       window.onload = func
    } else {
       window.onload = function() {
           if (oldonload) {
                  oldonload()
          }
          func()
       }
   }
} 


function loadResources(thisId) {

   var firstWaDiv = $('.wascript:first');
       
       var firstId = $(firstWaDiv).attr('id');
       
       if(firstId == thisId) {

            loadjscssfile("WA.min.js", "js");
            loadjscssfile("modernizr.custom.43133.min.js", "js");
            loadjscssfile("spin.min.js", "js");

            loadjscssfile("JQ_Textualizer.min.js", "js");
            loadjscssfile("WA.min.css", "css");            
       }
	   
	   loadjscssfile("ani.css", "css");                          
}
	// Global variables




function Bauernhof_Schweinstart() {    

    try
    {   
        if (navigator.userAgent.match(/msie/i))
		{			
            
		    return;            
		}

    var Bauernhof_Schwein = new WA();
Bauernhof_Schwein.custom = {
}

Bauernhof_Schwein.stage = [{            

            // SCENE 1
            'Oid': 'Xabecfda',
            'Name': 'SCENE_1',
            'Autostart': 'true',
            'BackgroundColor': '#transparent',
            'SceneEnd': 30000,
            'Position': 'absolute',
            'Perspective': '800px',
            'Top': '0px',
            'Left': '0px',
  'NextSceneTransition': 'instant',                 // instant, slide, fade
                                'NextSceneTransitionDirection': '',   // only active with slide transition => left, right, up, down
                                'NextSceneTransitionSpeed': '200','OnAnimationFinished': 2,
                              'OnAnimationFinishedParam': 'Xabecfda',





                            'Timelines': [
            {
                'Oid': 'MAIN_TIMELINE',
                'Name': 'Hauptzeitleiste',
                'Objects': [
                
                    
                    
                {
                    'Oid': 'Xabed046',                
                    'Type': 'box',
                    'InnerHTML': ''
                    ,
                    'Tag': 'div',
                    'Position': 'absolute',
                    'Top': '-13px',
                    'Left': '-31px',
                    'Height': '363px',
                    'Width': '1232px',
                    'ZIndex': '1','BackgroundImage': 'media/bauernhof_landschaft.png','BackgroundSize': '100% 100%','Display': 'block','TextAlign': 'left',

                'TextColor': '#000000',
                'Opacity': '1',
                'FontFamily': 'Arial',
                'FontSize': '14px',
                'LineHeight': '1em',

                

                'Visible': 'true',




'Pressed': [],
                    
                    'Hover': [],},
                {
                    'Oid': 'Xabed098',                
                    'Type': 'box',
                    'InnerHTML': ''
                    ,
                    'Tag': 'div',
                    'Position': 'absolute',
                    'Top': '241px',
                    'Left': '636px',
                    'Height': '67px',
                    'Width': '80px',
                    'ZIndex': '2','BackgroundImage': 'media/kuh.gif','BackgroundSize': '100% 100%','Display': 'block','TextAlign': 'left',

                'TextColor': '#000000',
                'Opacity': '1',
                'FontFamily': 'Arial',
                'FontSize': '14px',
                'LineHeight': '1em',

                

                'Visible': 'true',




'Pressed': [],
                    
                    'Hover': [],},
                {
                    'Oid': 'Xabed0d4',                
                    'Type': 'box',
                    'InnerHTML': ''
                    ,
                    'Tag': 'div',
                    'Position': 'absolute',
                    'Top': '175px',
                    'Left': '1229px',
                    'Height': '168px',
                    'Width': '120px',
                    'ZIndex': '3','BackgroundImage': 'media/schwein_laeuft_gross.gif','BackgroundSize': '100% 100%','Display': 'block','TextAlign': 'left',

                'TextColor': '#000000',
                'Opacity': '1',
                'FontFamily': 'Arial',
                'FontSize': '14px',
                'LineHeight': '1em',

                

                'Visible': 'true',




'Pressed': [],
                    
                    'Hover': [],},
                {
                    'Oid': 'Xabed0df',                
                    'Type': 'box',
                    'InnerHTML': ''
                    ,
                    'Tag': 'div',
                    'Position': 'absolute',
                    'Top': '-22px',
                    'Left': '0px',
                    'Height': '395px',
                    'Width': '1217px',
                    'ZIndex': '4','BackgroundImage': 'media/bauernhof_vordergrund.png','BackgroundSize': '100% 100%','Display': 'block','TextAlign': 'left',

                'TextColor': '#000000',
                'Opacity': '1',
                'FontFamily': 'Arial',
                'FontSize': '14px',
                'LineHeight': '1em',

                

                'Visible': 'true',




'Pressed': [],
                    
                    'Hover': [],},
                {
                    'Oid': 'Xabed7a6',                
                    'Type': 'box',
                    'InnerHTML': ''
                    ,
                    'Tag': 'div',
                    'Position': 'absolute',
                    'Top': '318px',
                    'Left': '1096px',
                    'Height': '17px',
                    'Width': '80px',
                    'ZIndex': '5','BackgroundImage': 'media/sgs_visual.gif','BackgroundSize': '100% 100%','Display': 'block','TextAlign': 'left',

                'TextColor': '#000000',
                'Opacity': '1',
                'FontFamily': 'Arial',
                'FontSize': '14px',
                'LineHeight': '1em',

                

                'Visible': 'true',




'Pressed': [],
                    
                    'Hover': [],}

                ],
                'Transforms': [
			
                    {
                            'ObjectId':'Xabed0d4',
                            'StartTime':14000,
                            'TransformElements':[
                        {
                            'Oid':'TRANSITION_BLOCK_1',
                            'Property':'RotateY',
                            'Duration':'0.9s',
                            'Delay':'0s',
                            'TimingFunc':'linear',
                            'EndValue': '170deg'
                        }]
},


			    ],
                'Transitions': [
			
                    {
                            'ObjectId':'Xabed0d4',
                            'StartTime':100,
                            'TransitionElements':[
                        {
                            'Oid':'TRANSITION_BLOCK_1',
                            'Property':'Left',
                            'Duration':'14s',
                            'Delay':'0s',
                            'TimingFunc':'linear',
                            'EndValue': '-190px'
                        },
                        {
                            'Oid':'TRANSITION_BLOCK_1',
                            'Property':'Top',
                            'Duration':'14s',
                            'Delay':'0s',
                            'TimingFunc':'linear',
                            'EndValue': '175px'
                        }]
},
{
                            'ObjectId':'Xabed0d4',
                            'StartTime':14000,
                            'TransitionElements':[
                        {
                            'Oid':'TRANSITION_BLOCK_1',
                            'Property':'Left',
                            'Duration':'1.5s',
                            'Delay':'0s',
                            'TimingFunc':'linear',
                            'EndValue': '-171px'
                        },
                        {
                            'Oid':'TRANSITION_BLOCK_1',
                            'Property':'Top',
                            'Duration':'1.5s',
                            'Delay':'0s',
                            'TimingFunc':'linear',
                            'EndValue': '193px'
                        },
                        {
                            'Oid':'TRANSITION_BLOCK_1',
                            'Property':'Height',
                            'Duration':'1.5s',
                            'Delay':'0s',
                            'TimingFunc':'linear',
                            'EndValue': '133px'
                        }]
},
{
                            'ObjectId':'Xabed0d4',
                            'StartTime':15500,
                            'TransitionElements':[
                        {
                            'Oid':'TRANSITION_BLOCK_1',
                            'Property':'Left',
                            'Duration':'14.5s',
                            'Delay':'0s',
                            'TimingFunc':'linear',
                            'EndValue': '1220px'
                        },
                        {
                            'Oid':'TRANSITION_BLOCK_1',
                            'Property':'Top',
                            'Duration':'14.5s',
                            'Delay':'0s',
                            'TimingFunc':'linear',
                            'EndValue': '214px'
                        },
                        {
                            'Oid':'TRANSITION_BLOCK_1',
                            'Property':'Height',
                            'Duration':'14.5s',
                            'Delay':'0s',
                            'TimingFunc':'linear',
                            'EndValue': '112px'
                        }]
},


			    ],
                'Changes': [
			
                    

			    ],
                'Events': [
			
                    

			    ]
            }]
}];

            Bauernhof_Schwein.init();
            Bauernhof_Schwein.stageHeight = 350;
            Bauernhof_Schwein.stageWidth  = 1200;
            Bauernhof_Schwein.t  = '423009311231626783425248348579202650776';
            Bauernhof_Schwein.stageInitialTransition = 'instant';
            Bauernhof_Schwein.stageInitialTransitionDirection = 'left';
            Bauernhof_Schwein.stageInitialTransitionSpeed = 1000;

            Bauernhof_Schwein.responsiveStage = true;
            Bauernhof_Schwein.responsiveStageKeepRatio = true;
            Bauernhof_Schwein.scaleX = 1;
            Bauernhof_Schwein.scaleY = 1;
            Bauernhof_Schwein.scale = 1;

            Bauernhof_Schwein.showBrowserCompatibilityCheck = false;
                Bauernhof_Schwein.loaderType = 3;
                Bauernhof_Schwein.loaderBackgroundColor = '#fff';
                Bauernhof_Schwein.loaderForegroundColor = '#000';
            Bauernhof_Schwein.stageInitialScene = 'Xabecfda';
            Bauernhof_Schwein.debug = false;
            Bauernhof_Schwein.preloadImages = true;
Bauernhof_Schwein.imagesToPreload = [
'media/bauernhof_landschaft.png',
'media/kuh.gif',
'media/schwein_laeuft_gross.gif',
'media/bauernhof_vordergrund.png',
'media/sgs_visual.gif'
];Bauernhof_Schwein.createWorkspace('Bauernhof_SchweinStage');

                }

                catch (e) 
                {
	                
                }
            }

loadResources('Bauernhof_SchweinStage');
addLoadEvent(Bauernhof_Schweinstart);

